OAM_item_t Struct Reference

`#include <gbdk-lib/include/gb/gb.h>`

## Data Fields

uint8_t | y
uint8_t | x
uint8_t | tile
uint8_t | prop

## Detailed Description

Sprite Attributes structure

Parameters

  x | X Coordinate of the sprite on screen
  y | Y Coordinate of the sprite on screen
  tile | Sprite tile number (see set_sprite_tile)
  prop | OAM Property Flags (see set_sprite_prop)

Sprite Attributes structure

Parameters

  x | X Coordinate of the sprite on screen
  y | Y Coordinate of the sprite on screen - 1
  tile | Sprite tile number (see set_sprite_tile)
  prop | OAM Property Flags (see set_sprite_prop)

## Field Documentation

## y

uint8_t OAM_item_t::y

## x

uint8_t OAM_item_t::x

## tile

uint8_t OAM_item_t::tile

## prop

uint8_t OAM_item_t::prop

The documentation for this struct was generated from the following files:

- gbdk-lib/include/gb/gb.h
- gbdk-lib/include/msx/msx.h
- gbdk-lib/include/nes/nes.h